#ifndef FUN_H_INCLUDED
#define FUN_H_INCLUDED


#define MAXLINE (80)
void eval(char *cmdline);
void sigint_handler();
pid_t getpid(void);
pid_t main_proc_pid;

int Is_pipe(char **argv);
int pipe(int *fd);
int Is_redirect(char **argv);
void history(char *cmdline);
void print_history(char *argv);
void mytop();
int fork();
int close(int arg);
int dup(int fd);
int execvp(const char *, char * const *);
int wait(int arg);
int parseline(const char *cmdline, char **argv);
int builtin_cmd(char **argv);
int dup2(int fd, int arg);
int chdir(const char *path );

#include "fun_1.h"
#include "fun_2.h"
#include "mytop.h"
#endif // FUN_H_INCLUDED
